Bash bugado [RESOLVIDO]

1. Bash bugado [RESOLVIDO]

Lucas
he32

(usa Linux Mint)

Enviado em 29/10/2019 - 16:24h

Sempre quando dou algum comando inválido no bash, ele mostra uma mensagem de erro do python:
lucas@maquina:~$ teste
Traceback (most recent call last):
File "/usr/lib/command-not-found", line 8, in <module>
import CommandNotFound
File "/usr/share/command-not-found/CommandNotFound/__init__.py", line 1, in <module>
from CommandNotFound import CommandNotFound
File "/usr/share/command-not-found/CommandNotFound/CommandNotFound.py", line 13
except gdbm.error, err:
^
SyntaxError: invalid syntax

Isso não afeta os comandos que funcionam, mas queria tirar isso.


  


2. Re: Bash bugado [RESOLVIDO]

Ruan
ru4n

(usa Debian)

Enviado em 29/10/2019 - 16:29h

O command-not-found é um script que analisa cada comando digitado e verifica se o mesmo existe no path do sistema, caso contrário ele informa em qual pacote e em qual repositório o comando se encontra.

Tenta reinstalar o script pra ver se volta a funcionar:
sudo apt install --reinstall command-not-found 



3. Re: Bash bugado [RESOLVIDO]

Lucas
he32

(usa Linux Mint)

Enviado em 29/10/2019 - 17:20h

agr da esse erro:
lucas@maquina:~$ sudo apt install --reinstall command-not-found
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 1 reinstalados, 0 a serem removidos e 356 não atualizados.
7 pacotes não totalmente instalados ou removidos.
É preciso baixar 0 B/12,5 kB de arquivos.
Depois desta operação, 0 B adicionais de espaço em disco serão usados.
(Lendo banco de dados ... 240170 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../command-not-found_0.2.38-4_all.deb ...
File "/usr/bin/pyclean", line 63
except (IOError, OSError), e:
^
SyntaxError: invalid syntax
dpkg: aviso: sub-processo antigo script pre-removal retornou estado de saída de erro 1
dpkg: em vez disso a tentar script do novo pacote ...
File "/usr/bin/pyclean", line 63
except (IOError, OSError), e:
^
SyntaxError: invalid syntax
dpkg: erro ao processar o arquivo /var/cache/apt/archives/command-not-found_0.2.38-4_all.deb (--unpack):
sub-processo novo script pre-removal retornou estado de saída de erro 1
Traceback (most recent call last):
File "/usr/bin/pycompile", line 35, in <module>
from debpython.version import SUPPORTED, debsorted, vrepr, \
File "/usr/share/python/debpython/version.py", line 24, in <module>
from ConfigParser import SafeConfigParser
ImportError: No module named 'ConfigParser'
dpkg: erro ao limpar:
sub-processo script post-installation instalado retornou estado de saída de erro 1
Erros foram encontrados durante o processamento de:
/var/cache/apt/archives/command-not-found_0.2.38-4_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
lucas@maquina:~$



4. Re: Bash bugado

João Cláudio de Alcântara
aguamole

(usa Lubuntu)

Enviado em 29/10/2019 - 19:35h

he32 escreveu:

agr da esse erro:
lucas@maquina:~$ sudo apt install --reinstall command-not-found
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 1 reinstalados, 0 a serem removidos e 356 não atualizados.
7 pacotes não totalmente instalados ou removidos.
É preciso baixar 0 B/12,5 kB de arquivos.
Depois desta operação, 0 B adicionais de espaço em disco serão usados.
(Lendo banco de dados ... 240170 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../command-not-found_0.2.38-4_all.deb ...
dpkg: aviso: sub-processo antigo script pre-removal retornou estado de saída de erro 1
dpkg: em vez disso a tentar script do novo pacote ...
dpkg: erro ao processar o arquivo /var/cache/apt/archives/command-not-found_0.2.38-4_all.deb (--unpack):
sub-processo novo script pre-removal retornou estado de saída de erro 1
dpkg: erro ao limpar:
sub-processo script post-installation instalado retornou estado de saída de erro 1
Erros foram encontrados durante o processamento de:
/var/cache/apt/archives/command-not-found_0.2.38-4_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
lucas@maquina:~$


A saída filtrada do bug é a que esta acima:
Tente rodar o comado:
$ sudo rm /var/cache/apt/archives/command-not-found_0.2.38-4_all.deb
$ sudo dpkg --configure -a ; sudo apt-get install -f && sudo apt install --reinstall command-not-found

CPU i5-8400 GTX 750 SofRaid 4xSSD 16GB DDR4 mesmo assim uso Lubuntu.


5. Re: Bash bugado [RESOLVIDO]

Lucas
he32

(usa Linux Mint)

Enviado em 29/10/2019 - 19:53h

aguamole escreveu:

he32 escreveu:

agr da esse erro:
lucas@maquina:~$ sudo apt install --reinstall command-not-found
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 1 reinstalados, 0 a serem removidos e 356 não atualizados.
7 pacotes não totalmente instalados ou removidos.
É preciso baixar 0 B/12,5 kB de arquivos.
Depois desta operação, 0 B adicionais de espaço em disco serão usados.
(Lendo banco de dados ... 240170 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../command-not-found_0.2.38-4_all.deb ...
dpkg: aviso: sub-processo antigo script pre-removal retornou estado de saída de erro 1
dpkg: em vez disso a tentar script do novo pacote ...
dpkg: erro ao processar o arquivo /var/cache/apt/archives/command-not-found_0.2.38-4_all.deb (--unpack):
sub-processo novo script pre-removal retornou estado de saída de erro 1
dpkg: erro ao limpar:
sub-processo script post-installation instalado retornou estado de saída de erro 1
Erros foram encontrados durante o processamento de:
/var/cache/apt/archives/command-not-found_0.2.38-4_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
lucas@maquina:~$


A saída filtrada do bug é a que esta acima:
Tente rodar o comado:
$ sudo rm /var/cache/apt/archives/command-not-found_0.2.38-4_all.deb
$ sudo dpkg --configure -a ; sudo apt-get install -f && sudo apt install --reinstall command-not-found

CPU i5-8400 GTX 750 SofRaid 4xSSD 16GB DDR4 mesmo assim uso Lubuntu.


Agora deu esse erro:
lucas@maquina:~$ sudo rm /var/cache/apt/archives/command-not-found_0.2.38-4_all.deb
lucas@maquina:~$ sudo dpkg --configure -a ; sudo apt-get install -f && sudo apt install --reinstall command-not-found
Configurando python-wrapt (1.9.0-2) ...
Traceback (most recent call last):
File "/usr/bin/pycompile", line 35, in <module>
from debpython.version import SUPPORTED, debsorted, vrepr, \
File "/usr/share/python/debpython/version.py", line 24, in <module>
from ConfigParser import SafeConfigParser
ImportError: No module named 'ConfigParser'
dpkg: erro ao processar o pacote python-wrapt (--configure):
sub-processo script post-installation instalado retornou estado de saída de erro 1
Configurando python-isort (4.2.5+ds1-2+deb9u1) ...
Traceback (most recent call last):
File "/usr/bin/pycompile", line 35, in <module>
from debpython.version import SUPPORTED, debsorted, vrepr, \
File "/usr/share/python/debpython/version.py", line 24, in <module>
from ConfigParser import SafeConfigParser
ImportError: No module named 'ConfigParser'
dpkg: erro ao processar o pacote python-isort (--configure):
sub-processo script post-installation instalado retornou estado de saída de erro 1
Configurando python-setuptools (33.1.1-1) ...
Traceback (most recent call last):
File "/usr/bin/pycompile", line 35, in <module>
from debpython.version import SUPPORTED, debsorted, vrepr, \
File "/usr/share/python/debpython/version.py", line 24, in <module>
from ConfigParser import SafeConfigParser
ImportError: No module named 'ConfigParser'
dpkg: erro ao processar o pacote python-setuptools (--configure):
sub-processo script post-installation instalado retornou estado de saída de erro 1
Configurando python-lazy-object-proxy (1.2.2-1) ...
Traceback (most recent call last):
File "/usr/bin/pycompile", line 35, in <module>
from debpython.version import SUPPORTED, debsorted, vrepr, \
File "/usr/share/python/debpython/version.py", line 24, in <module>
from ConfigParser import SafeConfigParser
ImportError: No module named 'ConfigParser'
dpkg: erro ao processar o pacote python-lazy-object-proxy (--configure):
sub-processo script post-installation instalado retornou estado de saída de erro 1
Configurando python-backports.functools-lru-cache (1.3-1) ...
Traceback (most recent call last):
File "/usr/bin/pycompile", line 35, in <module>
from debpython.version import SUPPORTED, debsorted, vrepr, \
File "/usr/share/python/debpython/version.py", line 24, in <module>
from ConfigParser import SafeConfigParser
ImportError: No module named 'ConfigParser'
dpkg: erro ao processar o pacote python-backports.functools-lru-cache (--configure):
sub-processo script post-installation instalado retornou estado de saída de erro 1
dpkg: erro ao processar o pacote command-not-found (--configure):
O pacote está num mau estado de inconsistência; deve
reinstala-lo antes de tentar configura-lo.
Configurando python-ptyprocess (0.5.1-1) ...
Traceback (most recent call last):
File "/usr/bin/pycompile", line 35, in <module>
from debpython.version import SUPPORTED, debsorted, vrepr, \
File "/usr/share/python/debpython/version.py", line 24, in <module>
from ConfigParser import SafeConfigParser
ImportError: No module named 'ConfigParser'
dpkg: erro ao processar o pacote python-ptyprocess (--configure):
sub-processo script post-installation instalado retornou estado de saída de erro 1
Erros foram encontrados durante o processamento de:
python-wrapt
python-isort
python-setuptools
python-lazy-object-proxy
python-backports.functools-lru-cache
command-not-found
python-ptyprocess
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 356 não atualizados.
7 pacotes não totalmente instalados ou removidos.
É preciso baixar 12,5 kB de arquivos.
Depois desta operação, 0 B adicionais de espaço em disco serão usados.
Obter:1 https://cdn-aws.deb.debian.org/debian stretch/main i386 command-not-found all 0.2.38-4 [12,5 kB]
Baixados 12,5 kB em 25s (494 B/s)
Configurando python-wrapt (1.9.0-2) ...
Traceback (most recent call last):
File "/usr/bin/pycompile", line 35, in <module>
from debpython.version import SUPPORTED, debsorted, vrepr, \
File "/usr/share/python/debpython/version.py", line 24, in <module>
from ConfigParser import SafeConfigParser
ImportError: No module named 'ConfigParser'
dpkg: erro ao processar o pacote python-wrapt (--configure):
sub-processo script post-installation instalado retornou estado de saída de erro 1
Configurando python-isort (4.2.5+ds1-2+deb9u1) ...
Traceback (most recent call last):
File "/usr/bin/pycompile", line 35, in <module>
from debpython.version import SUPPORTED, debsorted, vrepr, \
File "/usr/share/python/debpython/version.py", line 24, in <module>
from ConfigParser import SafeConfigParser
ImportError: No module named 'ConfigParser'
dpkg: erro ao processar o pacote python-isort (--configure):
sub-processo script post-installation instalado retornou estado de saída de erro 1
Configurando python-setuptools (33.1.1-1) ...
Traceback (most recent call last):
File "/usr/bin/pycompile", line 35, in <module>
from debpython.version import SUPPORTED, debsorted, vrepr, \
File "/usr/share/python/debpython/version.py", line 24, in <module>
from ConfigParser import SafeConfigParser
ImportError: No module named 'ConfigParser'
dpkg: erro ao processar o pacote python-setuptools (--configure):
sub-processo script post-installation instalado retornou estado de saída de erro 1
Configurando python-lazy-object-proxy (1.2.2-1) ...
Traceback (most recent call last):
File "/usr/bin/pycompile", line 35, in <module>
from debpython.version import SUPPORTED, debsorted, vrepr, \
File "/usr/share/python/debpython/version.py", line 24, in <module>
from ConfigParser import SafeConfigParser
ImportError: No module named 'ConfigParser'
dpkg: erro ao processar o pacote python-lazy-object-proxy (--configure):
sub-processo script post-installation instalado retornou estado de saída de erro 1
Configurando python-backports.functools-lru-cache (1.3-1) ...
Traceback (most recent call last):
File "/usr/bin/pycompile", line 35, in <module>
from debpython.version import SUPPORTED, debsorted, vrepr, \
File "/usr/share/python/debpython/version.py", line 24, in <module>
from ConfigParser import SafeConfigParser
ImportError: No module named 'ConfigParser'
dpkg: erro ao processar o pacote python-backports.functools-lru-cache (--configure):
sub-processo script post-installation instalado retornou estado de saída de erro 1
dpkg: erro ao processar o pacote command-not-found (--configure):
O pacote está num mau estado de inconsistência; deve
reinstala-lo antes de tentar configura-lo.
Configurando python-ptyprocess (0.5.1-1) ...
Traceback (most recent call last):
File "/usr/bin/pycompile", line 35, in <module>
from debpython.version import SUPPORTED, debsorted, vrepr, \
File "/usr/share/python/debpython/version.py", line 24, in <module>
from ConfigParser import SafeConfigParser
ImportError: No module named 'ConfigParser'
dpkg: erro ao processar o pacote python-ptyprocess (--configure):
sub-processo script post-installation instalado retornou estado de saída de erro 1
Erros foram encontrados durante o processamento de:
python-wrapt
python-isort
python-setuptools
python-lazy-object-proxy
python-backports.functools-lru-cache
command-not-found
python-ptyprocess
E: Sub-process /usr/bin/dpkg returned an error code (1)
lucas@maquina:~$

Acha que é bom formatar o sistema?




6. Re: Bash bugado [RESOLVIDO]

Ruan
ru4n

(usa Debian)

Enviado em 30/10/2019 - 07:39h

Parece que o python2 do seu sistema esta bugado, e não o command-not-found. Provavelmente qualquer aplicativo python vai bugar.

Tenta reinstalar o python2-minimal:
sudo apt install --reinstall python2-minimal 



7. Re: Bash bugado [RESOLVIDO]

Lucas
he32

(usa Linux Mint)

Enviado em 30/10/2019 - 13:10h

ru4n escreveu:

Parece que o python2 do seu sistema esta bugado, e não o command-not-found. Provavelmente qualquer aplicativo python vai bugar.

Tenta reinstalar o python2-minimal:
sudo apt install --reinstall python2-minimal 

quando rodo esse comando diz:
E: Impossível encontrar o pacote python2-minimal 

Tentei também reinstalar o python3, python2, e o python3-minimal. Esses reinstalaram com sucesso, mas mesmo assim o erro ainda persiste




8. Re: Bash bugado

João Cláudio de Alcântara
aguamole

(usa Lubuntu)

Enviado em 30/10/2019 - 16:21h

Você tem que corrigir todos estes que foram listados a cima para você:
python-wrapt
python-isort
python-setuptools
python-lazy-object-proxy
python-backports.functools-lru-cache
command-not-found
python-ptyprocess
Reinstale todos estou no aguardo.
Coloque todos em uma só linha do apt-get:

sudo apt install --reinstall python-wrapt python-isort python-setuptools python-lazy-object-proxy python-backports.functools-lru-cache command-not-found python-ptyprocess

CPU i5-8400 GTX 750 SofRaid 4xSSD 16GB DDR4 mesmo assim uso Lubuntu.


9. Re: Bash bugado

Lucas
he32

(usa Linux Mint)

Enviado em 30/10/2019 - 21:23h

Dou o comando
sudo apt install --reinstall  python-wrapt python-isort python-setuptools python-lazy-object-proxy python-backports.functools-lru-cache command-not-found python-ptyprocess 
e ele diz
E: Internal Error, No file name for python-backports.functools-lru-cache:i386
. Tirei esse pacote pra ver se funcionava, ele mostrou a mesma mensagem com os outros pacotes que sobraram, fui tirando todos e todos deram erro, só sobrou o command-not-found que quanto reinstalo dá erro. Fui tentar INSTALAR esses pacotes que n pude reinstalar e deram o erro de sempre do dpkg.








Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts